> ## Name

> cgGetStateEnumerantName - get a state enumerant name by value

> ## Synopsis

>     #include <Cg/cg.h>

>     const char * cgGetStateEnumerantName( CGstate state,
>                                           int value );

> ## Parameters

> state
>   The state from which to retrieve an enumerant name.
> value
>   The enumerant value for which to retrieve the associated name.

> ## Return Values

> Returns the null-terminated enumerant name string associated with the given enumerant value in state.

> Returns NULL if an error occurs.

> ## Description

> cgGetStateEnumerantName returns the enumerant name associated with a given enumerant value from a specified state.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_STATE_HANDLE_ERROR is generated if state is not a valid state.

> CG_INVALID_PARAMETER_ERROR is generated if state does not contain an enumerant defined for value.

> ## History

> cgGetStateEnumerantName was introduced in Cg 1.5.

> ## See Also

> cgGetStateEnumerantValue, cgAddStateEnumerant, cgIsState